<?php

namespace App\Http\Controllers\Api\Client;

use App\Http\Controllers\Controller;
use App\Http\Resources\PackageResource;
use App\Http\Resources\SalonResource;
use App\Models\City;
use App\Models\Contact;
use App\Models\Package;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Http\Request;

class DataController extends Controller
{
    public function cities(){
        $cities = City::all();
        $data = [];
        foreach ($cities as $city) {
            $arr['id'] = $city->id;
            $arr['name'] = $city->name;
            $data[]=$arr;
        }
        return response()->json(['value'=>true,'data'=>$data]);
    }
    public function contact_us(Request $request)
    {
        $validator = \Validator::make($request->all(), [
            'name' => 'required',
            'mobile' => 'required',
            'email' => 'required|email',
            'message' => 'required'
        ]);
        if ($validator->passes()) {
            $request['seen'] = 'false';
            Contact::create($request->all());
            return response()->json(['value' => true, 'data' => 'تمت الارسال بنجاح', 'code' => 200]);
        } else {
            return response()->json(['value' => false, 'msg' => $validator->errors()->first(), 'code' => 422]);
        }
    }

    public function settings()
    {
        $setting = Setting::first();
        $data['about'] = $setting ? $setting['about'] : '';
        $data['policy'] = $setting ? $setting['policy'] : '';
        $data['mobile'] = $setting ? $setting['mobile'] : '';
        $data['facebook'] = $setting ? $setting['facebook'] : '';
        $data['twitter'] = $setting ? $setting['twitter'] : '';
        $data['snapchat'] = $setting ? $setting['snapchat'] : '';
        $data['commission'] = $setting ? $setting['commission'] : '';
        $data['email'] = $setting ? $setting['email'] : '';
        return response()->json(['value' => true, 'data' => $data, 'code' => 200]);
    }
    public function offers(){
        $rows = Package::where('finish_date','>=',Carbon::now()->toDateString())->orderByDesc('id')->paginate(10);
         return PackageResource::collection($rows)->additional(['value' => true, 'code' => 200]);

    }
}
