<?php

namespace App\Http\Resources;

use Carbon\Carbon;
use Illuminate\Http\Resources\Json\JsonResource;

class ClientNotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        \App::setLocale('ar');

        return [
            'id' => $this->id,
            'body' => $this->body,
            'salon_id' => $this->salon_id ? (integer)$this->salon_id : 0,
            'order_id' => $this->order_id ? (integer)$this->order_id : 0,
            'order_code' => $this->order_id ? $this->order->code : '',
            'type' => $this->type,
            'created_at' => Carbon::parse($this->created_at)->diffForHumans(),
        ];
    }
}
