<?php

namespace App\Http\Resources;

use App\Models\Favourite;
use App\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UsersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        $favourite_status = false;
        if ($request->header('Authorization')) {
            if (!$user = JWTAuth::parseToken()->authenticate()) {
                return response()->json(['value' => false, 'msg' => \Lang::get('wrong token'), 'code' => 401]);
            }

//            $check = Favourite::where('user_id', $user->id)->where('salon_id', $this->id)->first();
//            if ($check) {
//                $favourite_status = true;
//            } else {
//                $favourite_status = false;
//            }

        }
        return [
            'id' => $this->id,
            'salon_id' => 0,
            'username' => $this->username ,
            'mobile' => $this->mobile,
            'email' => $this->email,
            'city ' =>new CityResource($this->city),
            'is_complete'=>true,
            'field_id'=>$this->field_id ? (integer)$this->field_id : 0,

            'type' => $this->type ? $this->type : '',
            'city_name' => $this->city ? $this->city->name : '',
            'city_id' => $this->city ? (integer)$this->city->id : 0,
            'status' => $this->status ? $this->status : '',
            'lat' => $this->lat ? $this->lat : '',
            'code' => $this->code ? (integer)$this->code : 0,
            'lng' => $this->lng ? $this->lng : '',
            'image' => $this->image ? asset('images/users/'.$this->image) :'',



            'address' => '',
            'salon_title' => '',
            'details' =>   '',
            'always_open' =>   '',
            'salon_times' => [],
            'images' => [],


            'packages' => [],
            'salon_comments' =>[],
            'categories_salon' =>[],
            'categories_home' => [],
            'accounts' => [],

            'image_cover' => '',
             'wallet' => $this->wallet ? $this->wallet : '',
            'rate' =>0,
            'favourite_status' => $favourite_status,
            'token' => $token

        ];
    }
}
