<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SalonBankTransfer extends Model
{

    protected $table = 'salon_bank_transfers';
    public $timestamps = true;
    protected $fillable = array('salon_id', 'amount', 'code', 'type', 'admin_approve', 'account_id', 'parent_id');

    public function parent()
    {
        return $this->belongsTo(SalonBankTransfer::class, 'parent_id');
    }

    public function account()
    {
        return $this->belongsTo(SalonAccount::class, 'account_id');
    }

    public function salon()
    {
        return $this->belongsTo(Salon::class, 'salon_id');
    }

}
