<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration
{

    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->integer('salon_id')->unsigned();
            $table->integer('user_id')->unsigned();
            $table->string('code', 191)->nullable();
            $table->enum('payment_type', array('cash', 'visa'))->nullable();
            $table->date('order_date')->nullable();
            $table->string('order_time', 191)->nullable();
            $table->enum('status', array('waiting', 'in_progress', 'cancel', 'finish','in_complete','salon_refuse'))->nullable();
            $table->string('lat', 191)->nullable();
            $table->string('lng', 191)->nullable();
            $table->text('address')->nullable();
            $table->integer('package_id')->unsigned()->nullable();
        });
    }

    public function down()
    {
        Schema::drop('orders');
    }
}
