<?php

Route::get('testDay',function (){
   $day = \Carbon\Carbon::now()->addDays(6)->locale('ar')->dayName;
   dd($day);
});
Route::middleware(['customizeMobile', 'checkMobileValid'])->group(function () {
    Route::group(['namespace' => 'Api\Client'], function () {

        Route::post('client_login', 'UsersController@login');
        Route::post('client_register', 'UsersController@register');
        // forget Password
        Route::post('forget_password', 'UsersController@forget_password');
        Route::post('check_forget_code', 'UsersController@check_forget_code');
        Route::post('change_password', 'UsersController@change_password');
        Route::post('contact_us', 'DataController@contact_us');
        Route::get('settings', 'DataController@settings');
        Route::get('salons/{flag?}', 'SalonsController@salons');
        Route::get('offers', 'DataController@offers');
        Route::get('single_salon/{id}', 'SalonsController@single_salon');
        Route::get('single_user_salon/{id}', 'SalonsController@single_user_salon');
        Route::get('sliders', 'SalonsController@sliders');
        Route::post('filter_services', 'SalonsController@filter_services');
        Route::get('categories', 'CategoriesController@categories');
        Route::post('search', 'SalonsController@search');
        Route::get('cities', 'DataController@cities');


        Route::post('activate_user', 'UsersController@activate_user');

        Route::group(['middleware' => ['jwt.verify']], function () {

            Route::post('logout', 'UsersController@logout');
            Route::post('update_profile', 'UsersController@update_profile');
            Route::post('change_old_password', 'UsersController@change_old_password');
            Route::get('client_notifications', 'NotificationsController@client_notifications');
            Route::get('favourite_salon/{id}', 'FavouritesController@favourite_salon');
            Route::get('favourites', 'FavouritesController@favourites');
            Route::post('order_step_one', 'OrdersController@order');
            Route::post('complete_order', 'OrdersController@complete_order');
            Route::get('cancel_order/{id}', 'OrdersController@cancel_order');
            Route::get('client_orders/{flag?}', 'OrdersController@orders');
            Route::post('rate_order', 'FavouritesController@rate_order');
        });


    });


    Route::group(['namespace' => 'Api\Salon'], function () {

        Route::post('salon_login', 'UsersController@login');
        Route::post('register_step1', 'UsersController@register_step1');
        Route::get('order/{id?}', 'OrdersController@order_details');

        Route::get('salon_categories/{id}', 'UsersController@salon_categories');
        Route::get('packages/{id}', 'UsersController@packages');
        Route::get('salon_all_services/{id}', 'UsersController@salon_all_services');
        Route::post('search_salon', 'UsersController@search_salon');
        Route::get('fields', 'FieldsController@fields');
        Route::get('salons_field/{id}', 'FieldsController@salon_field');


        Route::get('subscriptions', 'SubscriptionsController@subscriptions');
        Route::get('banks', 'SubscriptionsController@banks');


        Route::group(['middleware' => ['jwt.verify']], function () {
            Route::post('register_step2', 'UsersController@register_step2');
            Route::post('register_step3', 'UsersController@register_step3');
            Route::post('register_step4', 'UsersController@register_step4');
            Route::post('register_step5', 'UsersController@register_step5');
            //update_profile
            Route::post('update_salon_personal_data', 'UsersController@update_salon_personal_data');
            Route::post('update_salon_data', 'UsersController@update_salon_data');
            Route::post('update_password', 'UsersController@update_password');
            //packages
            Route::post('add_package', 'UsersController@add_package');
            Route::post('update_package/{id?}', 'UsersController@update_package');
            Route::delete('delete_package/{id?}', 'UsersController@delete_package');
            //services
            Route::post('add_service', 'UsersController@add_service');
            Route::post('update_service/{id?}', 'UsersController@update_service');
            Route::delete('delete_service/{id?}', 'UsersController@delete_service');
            //times
            Route::post('update_time/{id?}', 'UsersController@update_time');
            Route::get('salon_times', 'UsersController@salon_times');
            Route::get('delete_time/{id}', 'UsersController@delete_time');

            Route::post('update_notification', 'UsersController@update_notification');

            //accounts bank
            Route::post('add_account', 'SalonAccountsController@add_account');
            Route::post('update_account/{id?}', 'SalonAccountsController@update_account');
            Route::delete('delete_account/{id?}', 'SalonAccountsController@delete_account');
            Route::get('salon_accounts', 'SalonAccountsController@salon_accounts');

            //orders
            Route::get('orders/{flag?}', 'OrdersController@orders');
            Route::get('accept_orders/{id?}', 'OrdersController@accept_orders');
            Route::get('cancel_order/{id}', 'OrdersController@cancel_order');
            Route::get('refuse_order/{id}', 'OrdersController@refuse_order');
            Route::get('finish_order/{id}', 'OrdersController@finish_order');

            //transactions
            Route::get('transactions/{flag?}', 'SalonAccountsController@transactions');
            Route::post('transfer_request', 'SalonAccountsController@transfer_request');

            //subscription
            Route::get('check_subscription', 'SubscriptionsController@check_subscription');
            Route::post('subscribe', 'SubscriptionsController@subscribe');


        });


    });
});


