<?php $__env->startSection('title', "الطلبات والتقارير"); ?>
<?php $__env->startSection('css'); ?>

    <link href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css">
    <link href="https://cdn.datatables.net/buttons/1.6.2/css/buttons.dataTables.min.css">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الطلبات والتقارير</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">

            <div class="card-box">


                <form method="get" action="<?php echo e(route('order_search')); ?>" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label>التاريخ</label>
                        <div>
                            <div class="input-daterange input-group" data-provide="datepicker">
                                <input type="text" placeholder="التاريخ من" class="form-control" name="start"/>
                                <input type="text" placeholder="التاريخ إلى" class="form-control" name="end"/>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <div class="form-group">
                                <label for="exampleSelect1">الصالوم</label>
                                <select class="js-example-basic-single form-control" name="salon_id">
                                    <option value="0">كل الحلاقين</option>
                                    <?php $__currentLoopData = $salons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option
                                            value="<?php echo e($salon->id); ?>"><?php echo e($salon->salon_title); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <?php if($errors->has('salon_id')): ?>
                                <small class="text-danger"><?php echo e($errors->first('salon_id')); ?></small>
                            <?php endif; ?>
                        </div>


                    </div>

                    <button type="submit" class="btn btn-primary">بحث</button>

                </form>

            </div>

            <div class="card-box">
                

                <h4 class="header-title">الطلبات والتقارير</h4>
                
                
                
                
                
                
                

                <table id="example" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr style="font-size: large ; font-family: cairo">
                        <th>#</th>
                        <th>الكود</th>
                        <th>اسم العميل</th>
                        <th>اسم الصالون</th>
                        <th>الحالة</th>
                        <th>الحساب الكلي</th>
                        <th>طريقه الدفع</th>
                        <th>تاريخ الطلب</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    <?php $__currentLoopData = $rows; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($i); ?></td>
                            <td><?php echo e($row->code); ?></td>
                            <td><?php echo e($row->user->username); ?></td>
                            <td><?php echo e($row->salon->salon_title); ?></td>
                            <td>

                                <?php if($row->status == 'waiting'): ?>
                                    حالة الإنتظار
                                <?php elseif($row->status == 'in_progress'): ?>
                                    في مرحلة التنفيذ
                                <?php elseif($row->status == 'cancel'): ?>
                                    تمت الالغاء

                                <?php elseif($row->status == 'finish'): ?>
                                    تم الانتهاء

                                <?php endif; ?>


                            </td>
                             <td><?php echo e($row->total_price); ?></td>
                             <td><?php echo e(($row->payment_type == 'visa') ? 'فيزا' : 'كاش'); ?></td>
                            <td><?php echo e(\Carbon\Carbon::parse($row->created_at)->toDateString()); ?></td>


                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal<?php echo e($row->id); ?>">حذف
                                </button>


                                <a href="<?php echo e(route('orders.show',$row->id)); ?>">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">التفاصيل
                                    </button>
                                </a>
                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                        <div id="myModal<?php echo e($row->id); ?>" class="modal fade" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title"
                                            id="myModalLabel">حذف العنصر</h5>
                                        <button type="button" class="close" data-dismiss="modal"
                                                aria-hidden="true">×
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <h5 class="font-16">هل تريد الحذف ؟</h5>

                                    </div>
                                    <div class="modal-footer">

                                        <form method="post" enctype="multipart/form-data"
                                              action="<?php echo e(route('orders.destroy',$row->id)); ?>">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="button" class="btn btn-light waves-effect"
                                                    data-dismiss="modal">إلغاء
                                            </button>
                                            <button type="submit"
                                                    class="btn btn-danger waves-effect waves-light">حذف
                                            </button>
                                        </form>


                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>

    <script>
        $(document).ready(function () {
            $('#example').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excel',
                ]
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/forYou/resources/views/admin/orders/index.blade.php ENDPATH**/ ?>